-- name of the database that you want to create
:SETVAR dbName "PASSData"
-- the location where you put all of Ravi's files. Ensure you have the trailing backslash
:SETVAR WorkingDir "D:\PassDataIndividualTables\"
SET NOCOUNT ON;
USE master;
GO
DROP DATABASE IF EXISTS $(dbName);
CREATE DATABASE $(dbName); -- in the default location
GO
USE $(dbName);
GO

RAISERROR('Loading $(WorkingDir)dbo.PASSMembersWithGeolocation.Table.sql', 10, 1) WITH NOWAIT;
GO
:r $(WorkingDir)dbo.PASSMembersWithGeolocation.Table.sql
GO
RAISERROR('Loading $(WorkingDir)dbo.PASSMembersWithGeolocation_xlnm_FilterDatabase.Table.sql', 10, 1) WITH NOWAIT;
GO
:r $(WorkingDir)dbo.PASSMembersWithGeolocation_xlnm_FilterDatabase.Table.sql
GO
RAISERROR('Loading $(WorkingDir)dbo.SQLSatRegistrations.Table.sql', 10, 1) WITH NOWAIT;
GO
:r $(WorkingDir)dbo.SQLSatRegistrations.Table.sql
GO
RAISERROR('Loading $(WorkingDir)dbo.SQLSatRegistrations_xlnm_FilterDatabase.Table.sql', 10, 1) WITH NOWAIT;
GO
:r $(WorkingDir)dbo.SQLSatRegistrations_xlnm_FilterDatabase.Table.sql
GO
RAISERROR('Loading $(WorkingDir)dbo.SQLSatSessions.Table.sql', 10, 1) WITH NOWAIT;
GO
:r $(WorkingDir)dbo.SQLSatSessions.Table.sql
GO
RAISERROR('Loading $(WorkingDir)dbo.SQLSatSessions_xlnm_FilterDatabase.Table.sql', 10, 1) WITH NOWAIT;
GO
:r $(WorkingDir)dbo.SQLSatSessions_xlnm_FilterDatabase.Table.sql
GO
RAISERROR('Loading $(WorkingDir)dbo.2015Sessions.Table.sql', 10, 1) WITH NOWAIT;
GO
:r $(WorkingDir)dbo.Summit2011-2015Sessions.Table.sql
GO
RAISERROR('Loading $(WorkingDir)dbo.2015Sessions_xlnm_FilterDatabase.Table.sql', 10, 1) WITH NOWAIT;
GO
:r $(WorkingDir)dbo.Summit2011-2015Sessions_xlnm_FilterDatabase.Table.sql
GO
RAISERROR('Loading $(WorkingDir)dbo.2015.Table.sql', 10, 1) WITH NOWAIT;
GO
:r $(WorkingDir)dbo.SummitReg2007-2015.Table.sql
GO
RAISERROR('Loading $(WorkingDir)dbo.2015_xlnm_FilterDatabase.Table.sql', 10, 1) WITH NOWAIT;
GO
:r $(WorkingDir)dbo.SummitReg2007-2015_xlnm_FilterDatabase.Table.sql
GO
RAISERROR('Loading $(WorkingDir)dbo.VCSubscriptions.Table.sql', 10, 1) WITH NOWAIT;
GO
:r $(WorkingDir)dbo.VCSubscriptions.Table.sql
GO
RAISERROR('Loading $(WorkingDir)dbo.VCSubscriptions_xlnm_FilterDatabase.Table.sql', 10, 1) WITH NOWAIT;
GO
:r "$(WorkingDir)dbo.VCSubscriptions_xlnm_FilterDatabase.Table.sql"
GO
